unit Ntdll;

interface

uses
  Windows;

const
  SystemTimeOfDayInformation = 3;
  SystemProcessorTimes = 8;

type
  TSystemTimeOfDayInformation = record
    liKeBootTime: TLargeInteger;
    liKeSystemTime: TLargeInteger;
    liExpTimeZoneBias: TLargeInteger;
    uCurrentTimeZoneId: ULONG;
    dwReserved: DWORD;
  end;
  TSystemProcessorTimes = record
    liIdleTime: TLargeInteger;
    liKernelIdleTime: TLargeInteger;
    liUserOtherTime: TLargeInteger;
    dwSpare: array[0..5] of DWORD;
  end;

var
  NtQuerySystemInformation: function (SystemInformationClass: UINT;
    SystemInformation: Pointer; SystemInformationLength: ULONG;
    ReturnLength: PULONG): Longint; stdcall;

implementation

var
  NtdllHandle: THandle;
begin
  NtdllHandle := LoadLibrary('ntdll.dll');
  if NtdllHandle <> 0 then
    NtQuerySystemInformation := GetProcAddress(NtdllHandle,
        'NtQuerySystemInformation');
end.
